@tool
extends Node2D

@export var byte_array_zero: PackedByteArray
@export var byte_array_random: PackedByteArray

const NUM_BYTES_PER_ARRAY = 5_000_000

func _ready() -> void:
	seed(0x60d07)

	byte_array_zero.clear()
	byte_array_random.clear()

	for i in NUM_BYTES_PER_ARRAY:
		byte_array_zero.push_back(0)
		byte_array_random.push_back(randi_range(0, 255))
